<?php

declare(strict_types=1);

namespace Drupal\key_per_user;

/**
 * A class with sample methods for generating per-user encryption keys.
 */
class KeyPerUserGenerator {

  /**
   * Generates an encryption key for a user account.
   *
   * Adapted from the dbee module.
   *
   * @param int $bytes
   *   An integer, the number of bytes for the key. Default to 16 (=128bits).
   *
   * @return string
   *   The encryption key in hexadecimal.
   */
  public static function generateEncryptionKey(int $bytes = 16): string {
    $minimum_bytes = 16;
    return bin2hex(random_bytes(max($minimum_bytes, $bytes)));
  }

}
