<?php

declare(strict_types=1);

namespace Drupal\key_per_user;

/**
 * An interface for UserBundle to provide an encryption key per user.
 */
interface KeyPerUserInterface {

  /**
   * Returns the user's encryption key.
   *
   * @return string
   *   The user's encryption key or an empty string (for anon).
   */
  public function getEncryptionKey(): string;

  /**
   * Gets the entity bundles that should be encrypted per-user.
   *
   * @return array
   *   The entity bundles that should be encrypted per-user.
   */
  public function getEncryptedPerUserBundles(): array;

}
